ServerEvents.recipes(event => {
  event.replaceInput(
    { id: 'thermal:fluid_cell' },
    '#thermal:glass/hardened',
    '#forge:glass'
  )

  event.replaceInput(
    { id: 'thermal:fluid_cell' },
    'thermal:fluid_cell_frame',
    'minecraft:cauldron'
  )

  event.remove({ output: 'thermal:fluid_cell_frame' })
  event.remove({ input: 'thermal:fluid_cell_frame' })
})
